DateFormat.Field
Date: 2016-06-24

java.text

## Class DateFormat.Field

- java.lang.Object
- - java.text.AttributedCharacterIterator.Attribute
  - - java.text.Format.Field
    - - java.text.DateFormat.Field

- All Implemented Interfaces:
    Serializable
  Enclosing class:
    DateFormat

      public static class DateFormat.Field
      extends Format.Field

  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static DateFormat.Field` | `AM_PM`
    `static DateFormat.Field` | `DAY_OF_MONTH`
    `static DateFormat.Field` | `DAY_OF_WEEK`
    `static DateFormat.Field` | `DAY_OF_WEEK_IN_MONTH`
    `static DateFormat.Field` | `DAY_OF_YEAR`
    `static DateFormat.Field` | `ERA`
    `static DateFormat.Field` | `HOUR_OF_DAY0`
    `static DateFormat.Field` | `HOUR_OF_DAY1`
    `static DateFormat.Field` | `HOUR0`
    `static DateFormat.Field` | `HOUR1`
    `static DateFormat.Field` | `MILLISECOND`
    `static DateFormat.Field` | `MINUTE`
    `static DateFormat.Field` | `MONTH`
    `static DateFormat.Field` | `SECOND`
    `static DateFormat.Field` | `TIME_ZONE`
    `static DateFormat.Field` | `WEEK_OF_MONTH`
    `static DateFormat.Field` | `WEEK_OF_YEAR`
    `static DateFormat.Field` | `YEAR`

    - ### Fields inherited from class java.text.AttributedCharacterIterator.Attribute

      `INPUT_METHOD_SEGMENT, LANGUAGE, READING`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `DateFormat.Field(String var0, int var1)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getCalendarField()`
    `static DateFormat.Field` | `ofCalendarField(int var0)`

    - ### Methods inherited from class java.text.AttributedCharacterIterator.Attribute

      `equals, getName, hashCode, readResolve`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### AM_PM

          public static final DateFormat.Field AM_PM

    - #### DAY_OF_MONTH

          public static final DateFormat.Field DAY_OF_MONTH

    - #### DAY_OF_WEEK

          public static final DateFormat.Field DAY_OF_WEEK

    - #### DAY_OF_WEEK_IN_MONTH

          public static final DateFormat.Field DAY_OF_WEEK_IN_MONTH

    - #### DAY_OF_YEAR

          public static final DateFormat.Field DAY_OF_YEAR

    - #### ERA

          public static final DateFormat.Field ERA

    - #### HOUR0

          public static final DateFormat.Field HOUR0

    - #### HOUR1

          public static final DateFormat.Field HOUR1

    - #### HOUR_OF_DAY0

          public static final DateFormat.Field HOUR_OF_DAY0

    - #### HOUR_OF_DAY1

          public static final DateFormat.Field HOUR_OF_DAY1

    - #### MILLISECOND

          public static final DateFormat.Field MILLISECOND

    - #### MINUTE

          public static final DateFormat.Field MINUTE

    - #### MONTH

          public static final DateFormat.Field MONTH

    - #### SECOND

          public static final DateFormat.Field SECOND

    - #### TIME_ZONE

          public static final DateFormat.Field TIME_ZONE

    - #### WEEK_OF_MONTH

          public static final DateFormat.Field WEEK_OF_MONTH

    - #### WEEK_OF_YEAR

          public static final DateFormat.Field WEEK_OF_YEAR

    - #### YEAR

          public static final DateFormat.Field YEAR

  - ### Constructor Detail

    - #### DateFormat.Field

          protected DateFormat.Field(String var0,
                          int var1)

  - ### Method Detail

    - #### getCalendarField

          public int getCalendarField()

    - #### ofCalendarField

          public static DateFormat.Field ofCalendarField(int var0)